Delete list by Id - Fabric

Delete list by Id

cURL

curl --request DELETE \
  --url https://prod01.oms.fabric.inc/api/v2/list/{listId} \
  --header 'Authorization: Bearer <token>'

Python

import requests

url = "https://prod01.oms.fabric.inc/api/v2/list/{listId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)

JavaScript (Fetch API)

const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://prod01.oms.fabric.inc/api/v2/list/{listId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Codes

JSON Responses

Successful Response

{
  "name": "Wishlist",
  "userId": null,
  "listId": "5349b4ddd2781d08c09890f4",
  "listType": "Wish list",
  "notes": "Add items to your wishlist to purchase later",
  "attributes": {
    "attr1": "value1",
    "attr2": "value2"
  },
  "count": 0,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Error Responses

Authorizations

Path Parameters